> For the complete documentation index, see [llms.txt](https://docs.defisaver.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.defisaver.com/triggers/spark/sparkquotepricetrigger.md).

# SparkQuotePriceTrigger

### Description

Trigger contract that verifies if current token price ratio is over/under the price ratio specified during subscription

### Trigger ID

`0x13335502`

### SDK Action

```ts
const sparkQuotePriceTrigger = new dfs.triggers.SparkQuotePriceTrigger(
    baseTokenAddr,
    quoteTokenAddr,
    price,
    state
);
```

### Subscription Parameters

```solidity
/// @param baseTokenAddr address of the base token which is quoted
/// @param quoteTokenAddr address of the quote token
/// @param price price in quote token of the base token that represents the triggerable point
/// @param state represents if we want the current price to be higher or lower than price param
struct SubParams {
    address baseTokenAddr;
    address quoteTokenAddr;
    uint256 price;
    uint8 state;
}
```

### Calldata Parameters

```solidity
None
```

### IsChangeable

`false`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.defisaver.com/triggers/spark/sparkquotepricetrigger.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
